<?php

/**
 * Generated by the WordPress Meta Box generator
 * at http://jeremyhixon.com/tool/wordpress-meta-box-generator/
 */

function wpsf_contact_get_meta( $value ) {
	global $post;

	$field = get_post_meta( $post->ID, $value, true );
	if ( ! empty( $field ) ) {
		return is_array( $field ) ? stripslashes_deep( $field ) : stripslashes( wp_kses_decode_entities( $field ) );
	} else {
		return false;
	}
}

function wpsf_contact_add_meta_box() {
	add_meta_box(
		'contact-contact',
		__( 'Contact', 'wp-super-form' ),
		'wpsf_contact_html',
		'wp-super-form',
		'normal',
		'default'
	);
}
add_action( 'add_meta_boxes', 'wpsf_contact_add_meta_box' );

function wpsf_contact_html( $post) {
	wp_nonce_field( '_contact_nonce', 'contact_nonce' ); ?>
	
<p class="wpsf-contact-metabox">
		<label for="wpsf_contact_name"><?php echo esc_html__( 'Name', 'wp-super-form' ); ?></label><br>
		<input type="text" name="wpsf_contact_name" id="wpsf_contact_name" value="<?php echo wpsf_contact_get_meta( 'wpsf_contact_name' ); ?>">
	</p>	<p class="wpsf-contact-metabox">
		<label for="wpsf_contact_email"><?php echo esc_html__( 'Email', 'wp-super-form' ); ?></label><br>
		<input type="text" name="wpsf_contact_email" id="wpsf_contact_email" value="<?php echo wpsf_contact_get_meta( 'wpsf_contact_email' ); ?>">
	</p>	<p class="wpsf-contact-metabox">
		<label for="wpsf_contact_message"><?php echo esc_html__( 'Message', 'wp-super-form' ); ?></label><br>
		<textarea name="wpsf_contact_message" id="wpsf_contact_message" ><?php echo wpsf_contact_get_meta( 'wpsf_contact_message' ); ?></textarea>
	
	</p><?php
}

function wpsf_contact_save( $post_id ) {
	if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
	if ( ! isset( $_POST['contact_nonce'] ) || ! wp_verify_nonce( $_POST['contact_nonce'], '_contact_nonce' ) ) return;
	if ( ! current_user_can( 'edit_post', $post_id ) ) return;

	if ( isset( $_POST['wpsf_contact_name'] ) )
		update_post_meta( $post_id, 'wpsf_contact_name', sanitize_text_field( $_POST['wpsf_contact_name'] ) );
	if ( isset( $_POST['wpsf_contact_email'] ) )
		update_post_meta( $post_id, 'wpsf_contact_email', sanitize_text_field( $_POST['wpsf_contact_email'] ) );
	if ( isset( $_POST['wpsf_contact_message'] ) )
		update_post_meta( $post_id, 'wpsf_contact_message', sanitize_textarea_field( $_POST['wpsf_contact_message'] ) );
}
add_action( 'save_post', 'wpsf_contact_save' );

/*
	Usage: wpsf_contact_get_meta( 'wpsf_contact_name' )
	Usage: wpsf_contact_get_meta( 'wpsf_contact_email' )
	Usage: wpsf_contact_get_meta( 'wpsf_contact_message' )
*/
